# $Header: /u/cvsroot/nsd-modules/dqd_threadpool/examples/book-cache/nsd.tcl,v 1.2 2000/11/23 01:14:36 mayoff Exp $

# See LICENSE for copyright, license, and disclaimers.

set home [file dirname [file dirname [ns_info argv0]]]
set mydir [file dirname [ns_info config]]

ns_section ns/parameters
    ns_param home $home

ns_section ns/servers
    ns_param server1 server1

ns_section ns/server/server1
    ns_param MaxThreads 4
    ns_param EnableTclPages on
    ns_param DirectoryFile index.tcl,index.adp,index.html

ns_section ns/server/server1/tcl
    ns_param library "$mydir/tcl"

ns_section ns/server/server1/adp
    ns_param Map /*.adp
    ns_param DefaultParser adp

ns_section ns/server/server1/fastpath
    ns_param pageroot "$mydir/www"

ns_section ns/server/server1/adp/parsers
    ns_param adp .adp

ns_section ns/server/server1/modules
    ns_param nssock nssock.so
    ns_param bookpool dqd_threadpool.so
    ns_param nscache nscache.so

ns_section ns/server/server1/module/nssock
    ns_param hostname localhost
    ns_param address 127.0.0.1
    ns_param port 10081

ns_section ns/server/server1/module/bookpool
    ns_param maxthreads 8

